<template>
  <div v-if="order && order.items.length" @click="openOrder()" class="mini-cart">
    <div class="cart">
        <div class="cart-container">
            <div class="col-items">
                {{totalItems}}
            </div>
            <div class="col-option">
                {{$t('ViewCart')}}
            </div>
            <div class="col-price">
                {{formatPrice(totalPrice, true)}}
            </div>
        </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import Card from "@/components/Card.vue"
import Thumbnail from "@/components/Thumbnail.vue"

@Component({components:{
    Card,
    Thumbnail
}})
export default class MiniCart extends Vue {
    order = this.$store.state.order
    colors = this.$store.getters.colors
    totalItems = 0;
    totalPrice = 0;
    currency = '';

    openOrder(){
        this.$router.push('/order')
    }

    mounted(){
     this.orderDetails();
    }

    orderDetails() {
        for (let i = 0; i < this.order.items.length; i++) {
            this.totalItems = this.totalItems + this.order.items[i].quantity;
            this.totalPrice = this.order.subtotal;
            this.currency = this.$store.state.currency;
        }
    }
}
</script>

<style lang="scss" scoped>
.mini-cart{
    position: relative;
    width: 100%;
    height: 130px;
    color: white;
        display: flex;
        justify-content: center;
    .cart{
        position: fixed;
        width: 90%;
        height: 59px;
        bottom: 0px;
        background-color: #FFCC00;
        border-radius: 16px 16px 0px 0px;
        box-shadow: 0px 0px 10px rgb(223, 218, 218);
        color:black;
        font-weight: 700;
        .cart-container{
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding:  0em 1em;
            height: 100%;
        }
    }
}
.col-price {
}
.col-option {
    text-transform: uppercase;
}
.col-items {
    background-color: #CAA200;
    padding: 0.5em;
}
@media (min-width: 570px) {
    .mini-cart .cart {
        width: 70%;
    }
}
</style>